CREATE OR REPLACE VIEW V_PAYMENT_LINK AS (
SELECT P.ID, P.ID_LASTNIKA, P.ID_PLOVILA, P.ID_SALDKONT, P.ID_DN, P.ID_POGODBE, P.ID_RACUNA, P.ID_CARDS, P.ID_PAYMENT_RESPONSE, P.ID_PARAMETER_DATA, P.TRANSACTION_ID, P.NNLOCATION_ID, P.APPLICATION_ID,
P.LINK, P.UNIQUE_CODE, P.PRODUCT, P.AMOUNT, P.COMMISSION_AMOUNT, P.CURRENCY, P.DATE_CREATED, P.USER_CREATED, P.STATUS, P.REQUEST_TYPE, P.PAGE_CONTENT, P.CREDIT_CARD_ISSUER, P.TEMPORARY_CREDIT_CARD, P.RESPONSE_MESSAGE,
PL.IME AS BOAT_NAME,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM PAYMENT_LINK P
LEFT OUTER JOIN KUPCI K ON K.ID = P.ID_LASTNIKA
LEFT OUTER JOIN PLOVILA PL ON PL.ID = P.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2138, SYSDATE, '5.5', 2058, 'VPaymentLink')
;

